Jump to content
Laberlina

Kein Zugang mehr auf den Webshop als Admin

Recommended Posts

Hallo,

 

wir haben das Problem, dass wir keinen Zugriff mehr auf unseren Webshop haben. Es erscheint lediglich eine Blank Page.

Unser Support, der den Webshop hostet, teilte uns mit, dass es ein für ihn ein unbekannter Fehler sei und auch keienn Zugriff bekäme.

Kennt einer diesen Fehler?

Oder gibt es irgendeine Möglichkeit prestashop direkt zu kontaktieren, aber gerne auf deutsch?

 

Vielen Dank für eure Unterstützung!

 

 

Share this post


Link to post
Share on other sites

Öffnen Sie config/defines.inc.php.

Auf Zeile 28 finden Sie diese Zeile define('_PS_MODE_DEV_', false);

Ersetzen Sie es durch define('_PS_MODE_DEV_', true);

Sobald Fehlermeldungen von FTP oder CPanel aktiviert sind, können Sie im Front- oder Backoffice Ihres Geschäfts nach dem Problem suchen.

Share this post


Link to post
Share on other sites

Hallo Laberlina,

der Fehler tritt in letzter Zeit häuig auf wenn die php-Version seitens des Providers aktualisiert wurde.

Deshalb:

Welche PS-Version verwendest du?

Welche php-Version ist aktuell aktiv?

Ist das Front End (dein Shop) erreichbar?

Grüsse
Whiley

Share this post


Link to post
Share on other sites

Hey, vielen Dank für die schnelle Rückmeldung.

Tatsächlich habe ich mich jetzt erst einmal in das Thema einlesen müssen.

Und zwar ist das Front End aktuell in Wartungsarbeiten-Modus.

Deshalb muss ich ergänzen, dass wir keinen Zugriff mehr auf den admin-Ordner haben, da ein ehemaliger Mitarbeiter da die Zugangsdaten  bzw. den von prestashop zugewiesenen Namen geändert hat. Das müsste für mein Laienwissen doch auch erklären, wieso unser Zugangslink uns nur auf eine Blank Page leitet???!!!

Gibt es da überhaupt noch eine Chance, etwas zu machen? Ansonsten würde ich die Antworten zu den oben stehenden Fragen schnellstmöglich in Erfahrung bringen.

wir sind wirklich verzweifelt, weil viel Arbeit in den bisherigen Webshop geflossen ist.

 

Ganz herzlichen Dank!!!

Share this post


Link to post
Share on other sites
1 hour ago, Whiley said:

Hallo Laberlina,

der Fehler tritt in letzter Zeit häuig auf wenn die php-Version seitens des Providers aktualisiert wurde.

Deshalb:

Welche PS-Version verwendest du?   Kann ich noch nicht beantworten.

Welche php-Version ist aktuell aktiv? Kann ich noch nicht beantworten.

Ist das Front End (dein Shop) erreichbar?   Ist im Wartungsmodus.

Grüsse
Whiley

 

Share this post


Link to post
Share on other sites
6 minutes ago, SliderFlash said:

wie jetzt du hast garkein zugang zum admin?

Genau so sieht es aus!!!!! Und der technische Host, der uns bisher supported hat, wusste auch keinen Rat!

Bitte sag nicht, dass es aussichtslos ist. Das wäre fatal. Und das nur wegen eines fehlbaren Mitarbeiters....

Share this post


Link to post
Share on other sites

wen du mir deinen Hosting zugang über PN gibst kann ich mir das mit FTP anschauen

Share this post


Link to post
Share on other sites
vor 48 Minuten schrieb Laberlina:

Deshalb muss ich ergänzen, dass wir keinen Zugriff mehr auf den admin-Ordner haben, da ein ehemaliger Mitarbeiter da die Zugangsdaten  bzw. den von prestashop zugewiesenen Namen geändert hat. Das müsste für mein Laienwissen doch auch erklären, wieso unser Zugangslink uns nur auf eine Blank Page leitet???!!!

Gibt es da überhaupt noch eine Chance, etwas zu machen? Ansonsten würde ich die Antworten zu den oben stehenden Fragen schnellstmöglich in Erfahrung bringen.

Das einfachste wäre doch den ehemaligen Mitarbeiter zu fragen😉!

Aber du kannst es natürlich problemlos auch so lösen:

Du schaust über deinen FTP-Zugang nach wie dein admin-Ordner heißt (meist fängt der mit admin... an) die Zugangsurl ist dann

deineshopurl.tld/deinAdminordner

Als letztes mußt du dann noch dein Passwort resetten wie das hier schon oft beschrieben worden ist. (Forensuche)

Grüsse
Whiley

 

Share this post


Link to post
Share on other sites

es wird dieser fehler angezeigt

Zitat

Fatal error: Declaration of AdminLoginControllerCore::viewAccess() must be compatible with AdminControllerCore::viewAccess($disable = false) in /data/web/1/000/111/251/440581/htdocs/controllers/admin/AdminLoginController.php on line 27

 

Share this post


Link to post
Share on other sites

Also es gibt keinen Backup weder beim Hoster und weder beim Shop, und einige Dateien Fehlen auch

Share this post


Link to post
Share on other sites
vor 29 Minuten schrieb SliderFlash:

Fatal error: Declaration of AdminLoginControllerCore::viewAccess() must be compatible with AdminControllerCore::viewAccess($disable = false) in /data/web/1/000/111/251/440581/htdocs/controllers/admin/AdminLoginController.php on line 27

Typischer Fehler der auf PHP 7.2 hinweist.

Welche PHP-Version?

Share this post


Link to post
Share on other sites

ich habe es jetzt auf 7.3 gestellt aber da steht das dauert 15 minuten

Share this post


Link to post
Share on other sites

Wie gesagt, der Fehler ist typisch für PS 1.6.1.xxx  und die ersten PS 1.7 mit PHP 7.2 also endweder auf 7.0 gehen oder die Anpassungen am Shop für 7.2/7.3 durchführen.

7.3 geht natürlich auch nicht ohne die Anpassungen.

 

 

Share this post


Link to post
Share on other sites

Wenn der Shop bisher lief, hat der Provider die PHP-Version aktuell verändert!

3 Möglichkeiten:

1. Provider soll Version unterhalb 7.2 wieder aktivieren.

oder

2. Der Shop wird für 7.2/7.3 angepasst

oder

3. Provider wechseln.

 

vor 5 Stunden schrieb Laberlina:

Unser Support, der den Webshop hostet, teilte uns mit, dass es ein für ihn ein unbekannter Fehler sei und auch keienn Zugriff bekäme.

Wegen dieser Aussage würde ich Möglichkeit 2 und 3 in Kombination vorschlagen.

 

 

Share this post


Link to post
Share on other sites
Posted (edited)

ich tippe auf 3. weil unterhalb ist keine Auswahl, aber würde vorher den Provider fragen ob er mit der PHP Version helfen kann.

ich habe ihm jetzt geschrieben das ich nichts mehr machen kann,

und das es hier Gute Entwickler gibt die sich sehr gut mit Prestashop auskennen oder direkt an Prestashop Service

Edited by SliderFlash (see edit history)

Share this post


Link to post
Share on other sites

so einigermasen hinbekommen das es läuft aber keine dauerlösung reicht aber fürn umzug auf 1.7

www.laberlina.de

der admin ist auch erreichbar wenn auch nicht einwandfrei

Share this post


Link to post
Share on other sites

Ob ein Umzug von 1.6 auf 1.7 nun die beste Empfehlung ist (insbesondere für einen Laien ...)?

Share this post


Link to post
Share on other sites
vor 23 Stunden schrieb rictools:

Ob ein Umzug von 1.6 auf 1.7 nun die beste Empfehlung ist (insbesondere für einen Laien ...)?

Bei derzeit sage und schreibe 1823 offenen Fehlerbeschreibungen im github issue-tracker

vielleicht eher suboptimal.

Die interessante Frage an @SliderFlash wäre ja was gemacht wurde um es "einigermassen hinbekommen" zu haben.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More